function  zobrazit_body( varargin )

global Data poz
%rozlozeni dat do promennych
cas = Data(1).t;
X = Data(1).x;
Y = Data(1).y;
vekt=[];

%casove rozestupy mezi jednotlivymi body
Casove_rozestupy = [0 diff(Data(1).t)' / 1000];
MC = max(Casove_rozestupy);
j=1;

%velikost hrany pro zvyrazneni vybraneho krajniho bodu
Hrana = 5;

%smycka pro volbu pozic krajnich bodu
for i=1:length(Casove_rozestupy)
    if Casove_rozestupy(i)>0.1;
        poz(j)=i;       
        j=j+1;
        poz(j)=i-1;
       j=j+1;
    end
end

%smycka pro vyrazeni redundantnich krajnich bodu
i=1;
while(i<length(poz))
    if((poz(i)-poz(i+1)<10) && (abs(X(poz(i))-X(poz(i+1)))<30) && (abs(Y(poz(i))-Y(poz(i+1)))<30))
        vekt(end+1)=i;
    end
    i=i+1;
end

%smycka vykresleni krajnich bodu
poz(vekt)=[];
for j=1:length(poz)
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
        hold on
        patch([(X(poz(j)) - Hrana) (X(poz(j)) + Hrana) (X(poz(j)) + Hrana) (X(poz(j)) - Hrana)], [(Y(poz(j)) - Hrana) (Y(poz(j)) - Hrana) (Y(poz(j)) + Hrana) (Y(poz(j)) + Hrana)],[1 0 0])
end
end

